[project]
name = "synthetic-question-generator"
version = "0.1.0"
description = "Add your description here"
readme = "README.md"
requires-python = ">=3.12"
dependencies = [
    "hvac>=2.3.0",
    "marimo>=0.13.15",
    "polars>=1.30.0",
    "qdrant",
    "vertex-ai-gemini",
]

[tool.uv.sources]
qdrant = { workspace = true }
vertex-ai-gemini = { workspace = true }

[dependency-groups]
dev = []
